%define name deadftp
%define version 0.1.3
%define release 4mdk

Summary:	A Graphical FTP client
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/File transfer
Source0:	%{name}-%{version}.tar.bz2
URL:		http://deadftp.sourceforge.net/
BuildRequires:	gnome-libs-devel >= 1.2.0
BuildRequires:	libglade-devel >= 0.11 libesound-devel libgdk-pixbuf-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
DeadFTP is an FTP client for GNOME. DeadFTP provides all basic
functionality of an FTP client as well as a transfer queue and a
hostmanager.

%prep

%setup -q

%build
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): command="deadftp" icon="file_transfer_section.png" needs="X11" section="Networking/File transfer" title="Dead-FTP" longtitle="Gnome ftp client"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS TODO
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/gnome/help/%name
%{_datadir}/pixmaps/*
%{_menudir}/%name

%changelog
* Thu May 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-4mdk
- rebuild

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-3mdk
- adjust buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-2mdk
- rebuild

* Wed Sep 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-1mdk
- fix files section
- from Austin Acton <aacton@yorku.ca> :
	- initial package for Mandrake 9.0
